commit f30c88df754be756f92c96c011233af07b4c9be3
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Nov 18 01:27:48 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index f32239fe8b1..b8c45a59165 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,19 @@
+2025-11-17  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>
+
+	Backported from master:
+	2025-08-18  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>
+
+	PR middle-end/121581
+	* doc/extend.texi (__builtin_object_size): Fix example.
+
+2025-11-17  Jeff Law  <jlaw@ventanamicro.com>
+
+	PR rtl-optimization/122627
+	* lra-constraints.cc (update_equiv): Remove patch from last week
+	related to pr122321.
+	(lra_constraints): Expand the equivalence array after eliminations
+	are complete.
+
 2025-11-16  Lewis Hyatt  <lhyatt@gmail.com>
 
 	* diagnostic.cc (num_digits): Change argument type from `int' to
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index bca19945f97..fb72b5649a8 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251117
+20251118
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 23f1dd42359..ad8b5b9ec4b 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,8 @@
+2025-11-17  Jeff Law  <jlaw@ventanamicro.com>
+
+	PR rtl-optimization/122627
+	* gcc.target/riscv/rvv/autovec/pr122627.c: New test.
+
 2025-11-16  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 4a688eef8bc..3c11e7703ac 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,13 @@
+2025-11-17  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-11-17  Jonathan Wakely  <jwakely@redhat.com>
+
+	* src/c++23/std.cc.in [!__cpp_lib_syncbuf]: Disable exports for
+	<syncstream> contents when not defined.
+	[!_GLIBCXX_USE_CXX11_ABI]: Disable exports for pmr aliases in
+	<string> when not defined.
+
 2025-11-14  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

